Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/get_broker_trades \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "private/get_broker_trades",
  "params": {
    "currency": "BTC",
    "count": 1
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/get_broker_trades"

payload = {
    "jsonrpc": "2.0",
    "id": 1,
    "method": "private/get_broker_trades",
    "params": {
        "currency": "BTC",
        "count": 1
    }
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    jsonrpc: '2.0',
    id: 1,
    method: 'private/get_broker_trades',
    params: {currency: 'BTC', count: 1}
  })
};

fetch('https://test.deribit.com/api/v2/private/get_broker_trades', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "history": [
      {
        "id": "BLOCK-7",
        "timestamp": 1747239767111,
        "trades": [
          {
            "timestamp": 1747239767111,
            "amount": 100000,
            "direction": "buy",
            "price": 102079.75,
            "index_price": 102079.75,
            "instrument_name": "BTC-PERPETUAL",
            "trade_seq": 7,
            "mark_price": 102079.75,
            "tick_direction": 1,
            "contracts": 10000,
            "trade_id": "7",
            "block_trade_id": "BLOCK-7",
            "block_trade_leg_count": 1
          }
        ],
        "maker": {
          "user_id": "****009",
          "client_id": 2,
          "client_name": "Test Client 2",
          "client_link_name": "Test Client 2 l",
          "client_link_id": 2
        },
        "taker": {
          "user_id": "****008",
          "client_id": 1,
          "client_name": "Test Client 1",
          "client_link_name": "Test Client 1 l",
          "client_link_id": 1
        }
      }
    ],
    "next_start_id": 6
  }
}

Query Parameters

currency
enum<string>

The currency symbol Currency, i.e "BTC", "ETH", "USDC"

Available options:
BTC,
ETH,
USDC,
USDT,
EURR
count
integer

Number of requested items, default - 20, maximum - 1000

Required range: 1 <= x <= 1000
start_id
string

Response will contain block trades older than the one provided in this field Block trade id

Example:

"154"

end_id
string

The id of the oldest block trade to be returned, start_id is required with end_id Block trade id

Example:

"154"

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object
required
id
integer

The id that was sent in the request